CREATE TABLE hry_payroll_act_purge_info (
    HRY_PAYROLL_ACT_PURGE_INFO_ID    NUMBER(18, 0),
    TEMPORARY_ACTION_FLAG            VARCHAR2(8)  ,
    EXT_ACTION_ID                    NUMBER(18, 0),
    PPA_ROW_ID                       VARCHAR2(320),
    REPORT_CATEGORY_ID               NUMBER(18, 0),
    PPA_EFFECTIVE_DATE               DATE         ,
    EXTRACT_TYPE                     VARCHAR2(32) ,
    RETENTION_PERIOD                 NUMBER(10, 0),
    CHANGES_ONLY_RETAIN_ROWS         NUMBER(10, 0),
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    HRY_PAYROLL_ACT_PURGE_INFO_ID    NUMBER(18, 0),
    TEMPORARY_ACTION_FLAG            VARCHAR2(8)  ,
    EXT_ACTION_ID                    NUMBER(18, 0),
    PPA_ROW_ID                       VARCHAR2(320),
    REPORT_CATEGORY_ID               NUMBER(18, 0),
    PPA_EFFECTIVE_DATE               DATE         ,
    EXTRACT_TYPE                     VARCHAR2(32) ,
    RETENTION_PERIOD                 NUMBER(10, 0),
    CHANGES_ONLY_RETAIN_ROWS         NUMBER(10, 0),
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL
);
